=== debian/changelog ===
wraplinux (1.7-8) unstable; urgency=low

  * Adding dpkg-source local options.
  * Updating to standards version 3.9.4.
  * Fixing build to work twice in a row.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 11 Dec 2012 21:38:23 +0100

wraplinux (1.7-7) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Updating copyright file to format version 1.0.
  * Updating to debhelper version 9.
  * Updating to standards version 3.9.3.
  * Switching to xz compression.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 15:07:14 +0200

wraplinux (1.7-6) unstable; urgency=low

  * Correcting spelling mistake in 1.7-4 changelog entry.
  * Adding debug package.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 13 Jul 2011 01:33:04 +0200

wraplinux (1.7-5) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Compacting copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:20:10 +0200

wraplinux (1.7-4) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Making packaging distribution neutral.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Feb 2011 21:10:24 +0100

wraplinux (1.7-3) unstable; urgency=low

  * Adding build-depends to gcc-multilib to fix FTBFS on amd64 (Closes:
    #608160).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 28 Dec 2010 20:36:42 +0100

wraplinux (1.7-2) unstable; urgency=low

  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Simplyfing autotools handling in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 26 Dec 2010 18:42:33 +0100

wraplinux (1.7-1) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Simplifying autotools handling in rules.
  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Moving maintainer homepage from control to copyright.
  * Bumping versioned build-depends on debhelper.
  * Updating README.source.
  * Restricting package to amd64 and i386 only.
  * Updating standards version to 3.9.0.
  * Merging upstream version 1.7.
  * Updating copyright file for new upstream.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 15:12:47 +0200

wraplinux (1.6-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 07 Aug 2009 23:44:31 +0200
