=== debian/control ===
Source: wraplinux
Section: utils
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 9), autotools-dev, gcc-multilib [amd64]
Standards-Version: 3.9.4
Homepage: http://ftp.kernel.org/pub/linux/utils/boot/wraplinux/

Package: wraplinux
Architecture: amd64 i386
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utility to wrap a Linux kernel and initrd into an ELF or NBI file
 wraplinux is a tool to wrap an x86 Linux kernel and one or more initrd files
 into asingle file in ELF or NBI format, as required by some booting protocols.

Package: wraplinux-dbg
Section: debug
Priority: extra
Architecture: amd64 i386
Depends: ${misc:Depends}, wraplinux (= ${binary:Version})
Description: Utility to wrap a Linux kernel and initrd into an ELF or NBI file (debug)
 wraplinux is a tool to wrap an x86 Linux kernel and one or more initrd files
 into asingle file in ELF or NBI format, as required by some booting protocols.
 .
 This package contains the debugging symbols.
