=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with autotools_dev

override_dh_auto_clean:
	dh_auto_clean

	rm -f version.h

override_dh_auto_install:
	dh_auto_install -- INSTALLROOT=$(CURDIR)/debian/wraplinux

override_dh_strip:
	dh_strip --dbg-package=wraplinux-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9
